/*
* Tactic is the legal property of its developers, whose names are too 
numerous
* to list here.  Please refer to the COPYRIGHT file distributed with this
* source distribution.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
* See README for more informations
*
* HPHigh.cpp
*
* ...
* Date 16/03/06
*
*/

#include "HPHigh.h"
#include "DebugAI.h"

using namespace std;

HPHigh::HPHigh(void){
	name = HP_HIGH;
}

HPHigh::HPHigh(AllyHealthPoint* aFuzzyNumber){
	fuzzyNumber = aFuzzyNumber;
	fuzzyNumber->addFV(this);
	name = HP_HIGH;
}

HPHigh::HPHigh(float myValue){
	name = HP_HIGH;
	value = myValue;
	// ici il y a juste abstractFuzzyValue à changer par le FuzzyvalueName qui 
    //convient
}

HPHigh::~HPHigh(){}

void HPHigh::update(){
     float val = fuzzyNumber->getValue();
     if(val>=50) val = (val-50)/50;
     else val = 0;
     this->setValue(val);
	 DebugAI::trace('v', toString());
	// Update l'attribut value en executant la fonction afine qui représente la 
    // FuzzyValue
	// à partir de la valeur récupèrée via fuzzyNumber->getValue
}


